body {
  font-family: Arial, Helvetica, sans-serif;
  text-align: center;
}

header {
  text-align: center;
}

h1 {
  margin-top: 0em;
  font-size: 4em;
  font-weight: normal;
}
h2 {
  font-size: 3em;
  font-weight: normal;
}
h3 {
  font-size: 2em;
  font-weight: normal;
  margin-top: 0;
}

#wrapper {  
  display: -ms-grid;
  display: grid;
  justify-content: center;
  align-items: center;
  grid-auto-flow: row;
}

.centred {
  text-align: center;
}
.centre-block {
  background-color: whitesmoke;
  padding: 15px 30px;
  text-align: left;
  max-width: 60em;
  border-left: 2px;
  border-right: 2px;
  border-color: black;
  box-shadow: 0 9px 0px 0px whitesmoke, 0 -9px 0px 0px whitesmoke,
    12px 0 15px -4px rgba(65, 65, 65, 0.8),
    -12px 0 15px -4px rgba(65, 65, 65, 0.8);
}

kbd {
  font-weight: bold;
  border-radius: 3px;
  padding: 1px 1px 1px 1px;
  border: 1px solid gray;
  background-color: lightgrey;
}

#input_playerList {
  font-size: 1em;
  display: block;
  border: solid 1px;
  border-radius: 5px;
  margin: auto;
  height: 2em;
  width: -webkit-fill-available;
  max-height: 2em;
  max-width: 25em;
  transition: all 0.5s ease 0s;
}

#input_playerList:focus {
  font-size: 1.5em;
  max-width: 22em;
}

.secretSantaOutput {
  font-size: 1.5em;
  line-height: 50px;
}

.spoiler {
  -webkit-filter: blur(20px) grayscale(1);
  filter: blur(20px) grayscale(1);
  -webkit-transition-property: -webkit-filter;
  transition-property: filter;
  -webkit-transition-duration: 0.4s;
  transition-duration: 0.4s;
}
.spoiler:hover,
.spoiler:focus {
  -webkit-filter: blur(0px) grayscale(0);
  filter: blur(0px) grayscale(0);
}

#btn_submitPlayerList {
  cursor: pointer;
  margin: 20px;
  width: 120px;
  height: 40px;
  font-size: 1.2em;
  border: rgb(0, 0, 0) solid 1px;
  border-radius: 10px;
  background-color: white;
  transition: all 0.2s ease-out;
}

#btn_submitPlayerList:hover {
  background-color: rgb(79, 128, 184);
  border-color: white;
  color: white;
}
